<?php
/**
 * @file
 * erpal_project_rating_defaults.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function erpal_project_rating_defaults_default_rules_configuration() {
  $items = array();
  $items['rules_run_rating_components_if_task_was_updated'] = entity_import('rules_config', '{ "rules_run_rating_components_if_task_was_updated" : {
      "LABEL" : "Run Rating components if task was updated",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "ERPAL Project Rating" ],
      "REQUIRES" : [ "erpal_project_rating", "rules" ],
      "ON" : {
        "node_insert--erpal_task" : { "bundle" : "erpal_task" },
        "node_update--erpal_task" : { "bundle" : "erpal_task" }
      },
      "IF" : [
        { "erpal_project_rating_condition_is_support_enabled" : { "node" : [ "node" ] } }
      ],
      "DO" : [
        { "component_rules_small_task_description" : { "node" : [ "node" ] } },
        { "component_rules_task_has_no_estimation" : { "node" : [ "node" ] } },
        { "component_rules_task_has_no_end_date_add_points" : { "node" : [ "node" ] } }
      ]
    }
  }');
  $items['rules_small_task_description'] = entity_import('rules_config', '{ "rules_small_task_description" : {
      "LABEL" : "Small task description",
      "PLUGIN" : "rule set",
      "TAGS" : [ "ERPAL Project Rating" ],
      "REQUIRES" : [ "rules", "erpal_project_rating" ],
      "USES VARIABLES" : { "node" : { "label" : "Node", "type" : "node" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [
              { "OR" : [
                  { "data_is_empty" : { "data" : [ "node:body:value" ] } },
                  { "erpal_project_rating_condition_field_count_words" : {
                      "field_value" : [ "node:body:value" ],
                      "operator" : "\\u003C",
                      "amount_of_words" : "5"
                    }
                  }
                ]
              }
            ],
            "DO" : [
              { "erpal_project_rating_action_add_points" : { "rating_type" : "small_task_description" } }
            ],
            "LABEL" : "Small task description (add points)"
          }
        },
        { "RULE" : {
            "IF" : [
              { "NOT erpal_project_rating_condition_field_count_words" : {
                  "field_value" : [ "node:body:value" ],
                  "operator" : "\\u003C",
                  "amount_of_words" : "5"
                }
              }
            ],
            "DO" : [
              { "erpal_project_rating_action_delete_points" : { "rating_type" : "small_task_description" } }
            ],
            "LABEL" : "Small task description (remove points)"
          }
        }
      ]
    }
  }');
  $items['rules_task_has_no_estimation'] = entity_import('rules_config', '{ "rules_task_has_no_estimation" : {
      "LABEL" : "Task has no estimation",
      "PLUGIN" : "rule set",
      "TAGS" : [ "ERPAL Project Rating" ],
      "REQUIRES" : [ "rules", "erpal_project_rating" ],
      "USES VARIABLES" : { "node" : { "label" : "Node", "type" : "node" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [
              { "node_is_of_type" : {
                  "node" : [ "node" ],
                  "type" : { "value" : { "erpal_task" : "erpal_task" } }
                }
              },
              { "data_is_empty" : { "data" : [ "node:field-estimated-time" ] } }
            ],
            "DO" : [
              { "erpal_project_rating_action_add_points" : { "rating_type" : "task_has_no_estimation" } }
            ],
            "LABEL" : "Task has no estimation (Add points)"
          }
        },
        { "RULE" : {
            "IF" : [
              { "node_is_of_type" : {
                  "node" : [ "node" ],
                  "type" : { "value" : { "erpal_task" : "erpal_task" } }
                }
              },
              { "NOT data_is_empty" : { "data" : [ "node:field-estimated-time" ] } }
            ],
            "DO" : [
              { "erpal_project_rating_action_delete_points" : { "rating_type" : "task_has_no_estimation" } }
            ],
            "LABEL" : "Task has no estimation (Remove points)"
          }
        }
      ]
    }
  }');
  $items['rules_task_has_no_end_date_add_points'] = entity_import('rules_config', '{ "rules_task_has_no_end_date_add_points" : {
      "LABEL" : "Task has no end date",
      "PLUGIN" : "rule set",
      "TAGS" : [ "ERPAL Project Rating" ],
      "REQUIRES" : [ "rules", "erpal_project_rating" ],
      "USES VARIABLES" : { "node" : { "label" : "Node", "type" : "node" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [
              { "node_is_of_type" : {
                  "node" : [ "node" ],
                  "type" : { "value" : { "erpal_task" : "erpal_task" } }
                }
              },
              { "data_is_empty" : { "data" : [ "node:field-date" ] } }
            ],
            "DO" : [
              { "erpal_project_rating_action_add_points" : { "rating_type" : "task_has_no_end_date" } }
            ],
            "LABEL" : "Task has no end date (add points)"
          }
        },
        { "RULE" : {
            "IF" : [
              { "node_is_of_type" : {
                  "node" : [ "node" ],
                  "type" : { "value" : { "erpal_task" : "erpal_task" } }
                }
              },
              { "NOT data_is_empty" : { "data" : [ "node:field-date" ] } }
            ],
            "DO" : [
              { "erpal_project_rating_action_delete_points" : { "rating_type" : "task_has_no_end_date" } }
            ],
            "LABEL" : "Task has no end date (remove points)"
          }
        }
      ]
    }
  }');
  return $items;
}
