<?php

/**
 * @file
 * Status light panels pane. Can output status light and status lights by category.
 */

$plugin = array(
  'single' => TRUE,
  'title' => t('Light status'),
  'description' => t('Provide pane with Light status'),
  'category' => t('ERPAL'),
  'edit form' => 'erpal_project_rating_light_status_form',
  'render callback' => 'erpal_project_rating_light_status_render',
  'required context' => new ctools_context_required(t('Node'), 'node'),
);

/**
 * An edit form for the pane's settings.
 */
function erpal_project_rating_light_status_form($form, &$form_state) {
  $conf = $form_state['conf'];

  $form['by_category'] = array(
    '#type' => 'checkbox',
    '#title' => t('By category'),
    '#default_value' => !empty($conf['by_category']) ? $conf['by_category'] : 0,
    '#prefix' => '<div class="clear-block no-float">',
    '#suffix' => '</div>',
  );

  return $form;
}

/**
 * Submit function for the pane's settings edit form.
 */
function erpal_project_rating_light_status_form_submit($form, &$form_state) {

  $form_state['conf']['by_category'] = $form_state['values']['by_category'];
}

/**
 * Run-time rendering of the body of the pane.
 */
function erpal_project_rating_light_status_render($subtype, $conf, $args, $context) {

  if (empty($context->data)) {
    return array();
  }

  $node = $context->data;
  $by_category = !empty($conf['by_category']) ? $conf['by_category'] : 0;

  $block = new stdClass();
  $block->title = t('Light status');
  $block->content = erpal_project_rating_light_status_view($node, $by_category);

  return $block;
}
