<?php

/**
 * @file
 * Views handler and plugin definitions.
 */

/**
 * Use views_data_alter to add items to the node table.
 *
 * Adds Light status views handler.
 */
function erpal_project_rating_views_data_alter(&$data) {

  $data['rating_cache_node_status']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );

  $data['rating_cache_node_status']['status'] = array(
    'title'  => t('Light status'),
    'help'   => t('Shows light status of node'),
    'group'  => t('Node'),
    'field' => array(
      'handler' => 'erpal_project_rating_status',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  return $data;
}